package com.xy.utils.enums;

import lombok.Getter;

/**
 * 设备子枚举
 */
@Getter
public enum DeviceSonEnum {

    DEVICE_QUALITY_STATUS_QUALIFIED("qualified", "设备质检-合格状态-合格"),

    DEVICE_QUALITY_STATUS_UNQUALIFIED("unqualified", "设备质检-合格状态-不合格"),

    DEVICE_FACTORY_STATUS_NOT_SHIPPED("not_shipped", "设备质检-出厂状态-未出厂"),

    DEVICE_FACTORY_STATUS_SHIPPING("shipping", "设备质检-出厂状态-出厂预处理中"),

    DEVICE_FACTORY_STATUS_CAN_SHIPPED("can_shipped", "设备质检-出厂状态-可出厂"),

    ;

    private String key;

    private String msg;

    DeviceSonEnum(String key, String msg) {
        this.key = key;
        this.msg = msg;
    }
}
